error: "Faltan estas gemas requeridas: vagabundo" mientras vagabundo ya está instalado

I have been trying to get this solved for 10 straight hours but still has no clue. I am trying to get this rails app running but it gives me some strange gem missing error messages:

$ ~/Projcets/AndroidServer2# script/server
=> Booting WEBrick
=> Rails 2.3.8 application starting on http://0.0.0.0:3000
no such file to load -- hobo_support
/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:34:in `gem_original_require'
/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:34:in `require'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:521:in `new_constants_in'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/hobo-1.4.0.pre8/lib/hobo.rb:1
/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `gem_original_require'
/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `require'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:521:in `new_constants_in'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.8/lib/rails/gem_dependency.rb:215:in `load'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.8/lib/initializer.rb:307:in `load_gems'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.8/lib/initializer.rb:307:in `each'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.8/lib/initializer.rb:307:in `load_gems'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.8/lib/initializer.rb:169:in `process'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.8/lib/initializer.rb:113:in `send'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.8/lib/initializer.rb:113:in `run'
/home/edward/Projcets/AndroidServer2/config/environment.rb:11
/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `gem_original_require'
/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `require'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:521:in `new_constants_in'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.8/lib/commands/server.rb:84
/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `gem_original_require'
/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `require'
script/server:3
Missing these required gems:
  hobo  

You're running:
  ruby 1.8.7.334 at /usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/bin/ruby
  rubygems 1.4.2 at /usr/share/ruby-rvm/gems/ruby-1.8.7-p334, /usr/share/ruby-rvm/gems/ruby-1.8.7-p334@global

when the gem is already installed:

$ ~/Projcets/AndroidServer2# gem list

...

hobo (1.4.0.pre8, 1.3.0, 1.0.3)
hobo_fields (1.4.0.pre8, 1.3.0)
hobo_support (1.4.0.pre8, 1.3.0)
hobofields (1.0.3)
hobosupport (1.0.3)

...

I am running Rails 2.3.8 with Ruby 1.8.7. Any idea what is happening?

Edit: Re: Blue Fish,

Here is the rvm info:

$~/Projcets/AndroidServer2/script# rvm info

ruby-1.8.7-p334:

  system:
    uname:       "Linux edward-VirtualBox 3.2.0-23-generic-pae #36-Ubuntu SMP Tue Apr 10 22:19:09 UTC 2012 i686 i686 i386 GNU/Linux"
    bash:        "/bin/bash => GNU bash, version 4.2.24(1)-release (i686-pc-linux-gnu)"
    zsh:         " => not installed"

  rvm:
    version:      "rvm 1.6.9 by Wayne E. Seguin (wayneeseguin@gmail.com) [https://rvm.beginrescueend.com/]"

  ruby:
    interpreter:  "ruby"
    version:      "1.8.7"
    date:         "2011-02-18"
    platform:     "i686-linux"
    patchlevel:   "2011-02-18 patchlevel 334"
    full_version: "ruby 1.8.7 (2011-02-18 patchlevel 334) [i686-linux]"

  homes:
    gem:          "/usr/share/ruby-rvm/gems/ruby-1.8.7-p334"
    ruby:         "/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334"

  binaries:
    ruby:         "/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/bin/ruby"
    irb:          "/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/bin/irb"
    gem:          "/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/bin/gem"
    rake:         "/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/bin/rake"

  environment:
    PATH:         "/usr/share/ruby-rvm/gems/ruby-1.8.7-p334/bin:/usr/share/ruby-rvm/gems/ruby-1.8.7-p334@global/bin:/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/bin:/usr/share/ruby-rvm/bin:/home/edward/perl5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/home/edward/.rvm/bin"
    GEM_HOME:     "/usr/share/ruby-rvm/gems/ruby-1.8.7-p334"
    GEM_PATH:     "/usr/share/ruby-rvm/gems/ruby-1.8.7-p334:/usr/share/ruby-rvm/gems/ruby-1.8.7-p334@global"
    MY_RUBY_HOME: "/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334"
    IRBRC:        "/usr/share/ruby-rvm/rubies/ruby-1.8.7-p334/.irbrc"
    RUBYOPT:      ""
    gemset:       ""

and bundle list:

bundle list
Gems included by the bundle:
  * RubyInline (3.11.3)
  * ZenTest (4.8.2)
  * abstract (1.0.0)
  * actionmailer (3.0.17)
  * actionpack (3.0.17)
  * activemodel (3.0.17)
  * activerecord (3.0.17)
  * activeresource (3.0.17)
  * activesupport (3.0.17)
  * arel (2.0.10)
  * builder (2.1.2)
  * bundler (1.1.5)
  * dryml (1.3.0)
  * erubis (2.6.6)
  * hobo (1.3.0)
  * hobo_fields (1.3.0)
  * hobo_support (1.3.0)
  * i18n (0.5.0)
  * image_science (1.3.2.1.Asynchrony dc36dda)
  * json (1.7.5)
  * mail (2.2.19)
  * mime-types (1.19)
  * polyglot (0.3.3)
  * rack (1.2.5)
  * rack-mount (0.6.14)
  * rack-test (0.5.7)
  * rails (3.0.17)
  * railties (3.0.17)
  * rake (0.9.2.2)
  * rdoc (3.12)
  * thor (0.14.6)
  * treetop (1.4.10)
  * tzinfo (0.3.33)
  * will_paginate (3.0.3)

preguntado el 24 de agosto de 12 a las 06:08

What does RVM info say? What does bundle list show? -

I have updated in the question for the rvm info and bundle list. Thanks for the help! -

This line looks odd "$ ~/Projcets/AndroidServer2# script/server". In rails 3, you start the server using rails server. -

Did you try running bundle exec script/server? -

0 Respuestas

No es la respuesta que estás buscando? Examinar otras preguntas etiquetadas or haz tu propia pregunta.